<?php
/**
 * @author     polkurier.pl <api@polkurier.pl>
 * @copyright  polkurier.pl
 * @license    https://opensource.org/licenses/OSL-3.0 OSL/OSL-3.0
 * @category   Module
 * @package    Presta 8.1
 * @subpackage polkurier
 * @link       https://www.polkurier.pl
 */

namespace Polkurier\ApiMetod;

use Exception;
use PolkurierWebServiceApi\Methods\GetLabel;

class LabelOrderApi extends ApiClient
{

    /**
     * @var array
     */
    private $order_number = [];

    /**
     * @return mixed
     */
    public function getLabel()
    {
        if (!empty($this->order_number)) {
            try {
                $method = new GetLabel();
                foreach ($this->order_number as $item) {
                    $method->addOrderNumber($item);
                }
                $this->webApi()->requestMethod($method);
                return $method->getData()->getContent();
            } catch (Exception $ex) {
            }
        }
    }

    /**
     * @param string $order_number
     */
    public function setOrderNumber($order_number)
    {
        $this->order_number[] = $order_number;
    }
}